Bug 70224 - Postfix is not compiled with sasl suport
Postfix is not compiled with sasl suport
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: postfix (Show other bugs)
7.3
i386 Linux
medium Severity low
: ---
: ---
Assigned To: John Dennis
:
: 75487 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-07-31 01:04 EDT by Chaim Frenkel
Modified: 2008-05-01 11:38 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-02-18 19:37:06 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Chaim Frenkel 2002-07-31 01:04:30 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows 98)

Description of problem:
postfix smtp process reports "smtp_sasl_auth_enable is true, but SASL support 
is not compiled in"

Version-Release number of selected component (if applicable):
postfix-1.1.7-2

How reproducible:
Always

Steps to Reproduce:
1. In /etc/postfix/main.cf add
                smtp_sasl_auth_enable = yes 

I also have the following settings:
       smtp_sasl_password_maps = hash:/etc/postfix/sasl_pass
       smtp_sasl_security_options = noanonymous
       relayhost = host.that.requires.auth

2. create /etc/postfix/sasl_pass with
        hostname <tab> username:password
3. run postmap sasl_pass

4. send an email


Actual Results:  Mail bounced with relaying denied

Check /var/log/maillog for the error message from postfix's smtp

Expected Results:  Mail should have gone through

Additional info:
Comment 1 Bernhard Rosenkraenzer 2002-08-05 09:57:05 EDT
1.1.11-5 is compiled with SASL support.
Comment 2 Chris Ricker 2003-01-10 01:50:41 EST
*** Bug 75487 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.